r679 - in trunk/BOOK: introduction/common temp-system/common

ken at linuxfromscratch.org ken at linuxfromscratch.org
Thu Nov 10 08:48:29 PST 2005


Author: ken
Date: 2005-11-10 09:48:28 -0700 (Thu, 10 Nov 2005)
New Revision: 679

Modified:
   trunk/BOOK/introduction/common/changelog.xml
   trunk/BOOK/temp-system/common/coreutils.xml
Log:
remove left-over description of DEFAULT_POSIX2_VERSION

Modified: trunk/BOOK/introduction/common/changelog.xml
===================================================================
--- trunk/BOOK/introduction/common/changelog.xml	2005-11-10 16:03:39 UTC (rev 678)
+++ trunk/BOOK/introduction/common/changelog.xml	2005-11-10 16:48:28 UTC (rev 679)
@@ -37,6 +37,16 @@
 -->
 
     <listitem>
+      <para>November 10, 2005</para>
+      <itemizedlist>
+        <listitem>
+          <para>[ken] - Removed redundant explanation of DEFAULT_POSIX2_VERSION,
+	  thanks to go moko.</para>
+        </listitem>
+      </itemizedlist>
+    </listitem>
+
+    <listitem>
       <para>November 9, 2005</para>
       <itemizedlist>
         <listitem>

Modified: trunk/BOOK/temp-system/common/coreutils.xml
===================================================================
--- trunk/BOOK/temp-system/common/coreutils.xml	2005-11-10 16:03:39 UTC (rev 678)
+++ trunk/BOOK/temp-system/common/coreutils.xml	2005-11-10 16:48:28 UTC (rev 679)
@@ -36,28 +36,6 @@
       <title>The meaning of the configure options:</title>
 
       <varlistentry>
-        <term><parameter>DEFAULT_POSIX2_VERSION=199209</parameter></term>
-        <listitem>
-          <para>This package has an issue when compiled against versions of
-          Glibc later than 2.3.2. Some of the Coreutils utilities (such as
-          <command>head</command>, <command>tail</command>, and
-          <command>sort</command>) will reject their traditional syntax, a
-          syntax that has been in use for approximately 30 years. This old
-          syntax is so pervasive that compatibility should be preserved until
-          the many places where it is used can be updated. Backwards compatibility
-          is achieved by setting the <envar>DEFAULT_POSIX2_VERSION</envar>
-          environment variable to <quote>199209</quote> in the above command.
-          If you do not want Coreutils to be backwards compatible with the
-          traditional syntax, then omit setting the
-          <envar>DEFAULT_POSIX2_VERSION</envar> environment variable. It is
-          important to remember that doing so will have consequences, including
-          the need to patch the many packages that still use the old syntax.
-          Therefore, it is recommended that the instructions be followed exactly
-          as given above.</para>
-        </listitem>
-      </varlistentry>
-
-      <varlistentry>
         <term><parameter>--cache-file=config.cache</parameter></term>
         <listitem>
           <para>This do ...</para>




More information about the cross-lfs mailing list